public class Auto
{
    private String farbe;
    private String marke;
    private String kennzeichen;
    
    public Auto(String f, String m, String k)
    {
        this.farbe = f;
        this.marke = m;
        this.kennzeichen = k;
    }
    
    public boolean equals(Object ob)
    {
         if(ob instanceof Auto)
         {
             Auto a = (Auto)ob;
             return a.kennzeichen.equals(this.kennzeichen);   
         }
         
         return false;
    }
    
    public int hashCode()
    {
        return this.kennzeichen.hashCode();
    }
    
    public String toString()
    {
        return "Ich bin ein " + this.marke;
    }
  
    public String getFarbe()
    {
        return this.farbe;
    }
    
    public void lackiere(String neueFarbe)
    {
        this.farbe = neueFarbe;
    }
}
